- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Xinerama API

Xinerama XCB Protocol Implementation. More...

## Data Structures
struct | xcb_xinerama_screen_info_t
| xcb_xinerama_screen_info_t More...
struct | xcb_xinerama_screen_info_iterator_t
| xcb_xinerama_screen_info_iterator_t More...
struct | xcb_xinerama_query_version_cookie_t
| xcb_xinerama_query_version_cookie_t More...
struct | xcb_xinerama_query_version_request_t
| xcb_xinerama_query_version_request_t More...
struct | xcb_xinerama_query_version_reply_t
| xcb_xinerama_query_version_reply_t More...
struct | xcb_xinerama_get_state_cookie_t
| xcb_xinerama_get_state_cookie_t More...
struct | xcb_xinerama_get_state_request_t
| xcb_xinerama_get_state_request_t More...
struct | xcb_xinerama_get_state_reply_t
| xcb_xinerama_get_state_reply_t More...
struct | xcb_xinerama_get_screen_count_cookie_t
| xcb_xinerama_get_screen_count_cookie_t More...
struct | xcb_xinerama_get_screen_count_request_t
| xcb_xinerama_get_screen_count_request_t More...
struct | xcb_xinerama_get_screen_count_reply_t
| xcb_xinerama_get_screen_count_reply_t More...
struct | xcb_xinerama_get_screen_size_cookie_t
| xcb_xinerama_get_screen_size_cookie_t More...
struct | xcb_xinerama_get_screen_size_request_t
| xcb_xinerama_get_screen_size_request_t More...
struct | xcb_xinerama_get_screen_size_reply_t
| xcb_xinerama_get_screen_size_reply_t More...
struct | xcb_xinerama_is_active_cookie_t
| xcb_xinerama_is_active_cookie_t More...
struct | xcb_xinerama_is_active_request_t
| xcb_xinerama_is_active_request_t More...
struct | xcb_xinerama_is_active_reply_t
| xcb_xinerama_is_active_reply_t More...
struct | xcb_xinerama_query_screens_cookie_t
| xcb_xinerama_query_screens_cookie_t More...
struct | xcb_xinerama_query_screens_request_t
| xcb_xinerama_query_screens_request_t More...
struct | xcb_xinerama_query_screens_reply_t
| xcb_xinerama_query_screens_reply_t More...
## Defines
#define | XCB_XINERAMA_MAJOR_VERSION 1
#define | XCB_XINERAMA_MINOR_VERSION 1
#define | XCB_XINERAMA_QUERY_VERSION 0
#define | XCB_XINERAMA_GET_STATE 1
#define | XCB_XINERAMA_GET_SCREEN_COUNT 2
#define | XCB_XINERAMA_GET_SCREEN_SIZE 3
#define | XCB_XINERAMA_IS_ACTIVE 4
#define | XCB_XINERAMA_QUERY_SCREENS 5
## Functions
void | xcb_xinerama_screen_info_next (xcb_xinerama_screen_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xinerama_screen_info_end (xcb_xinerama_screen_info_iterator_t i)
xcb_xinerama_query_version_cookie_t | xcb_xinerama_query_version (xcb_connection_t *c, uint8_t major, uint8_t minor)
xcb_xinerama_query_version_cookie_t | xcb_xinerama_query_version_unchecked (xcb_connection_t *c, uint8_t major, uint8_t minor)
xcb_xinerama_query_version_reply_t * | xcb_xinerama_query_version_reply (xcb_connection_t *c, xcb_xinerama_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_xinerama_get_state_cookie_t | xcb_xinerama_get_state (xcb_connection_t *c, xcb_window_t window)
xcb_xinerama_get_state_cookie_t | xcb_xinerama_get_state_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_xinerama_get_state_reply_t * | xcb_xinerama_get_state_reply (xcb_connection_t *c, xcb_xinerama_get_state_cookie_t cookie, xcb_generic_error_t **e)
xcb_xinerama_get_screen_count_cookie_t | xcb_xinerama_get_screen_count (xcb_connection_t *c, xcb_window_t window)
xcb_xinerama_get_screen_count_cookie_t | xcb_xinerama_get_screen_count_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_xinerama_get_screen_count_reply_t * | xcb_xinerama_get_screen_count_reply (xcb_connection_t *c, xcb_xinerama_get_screen_count_cookie_t cookie, xcb_generic_error_t **e)
xcb_xinerama_get_screen_size_cookie_t | xcb_xinerama_get_screen_size (xcb_connection_t *c, xcb_window_t window, uint32_t screen)
xcb_xinerama_get_screen_size_cookie_t | xcb_xinerama_get_screen_size_unchecked (xcb_connection_t *c, xcb_window_t window, uint32_t screen)
xcb_xinerama_get_screen_size_reply_t * | xcb_xinerama_get_screen_size_reply (xcb_connection_t *c, xcb_xinerama_get_screen_size_cookie_t cookie, xcb_generic_error_t **e)
xcb_xinerama_is_active_cookie_t | xcb_xinerama_is_active (xcb_connection_t *c)
xcb_xinerama_is_active_cookie_t | xcb_xinerama_is_active_unchecked (xcb_connection_t *c)
xcb_xinerama_is_active_reply_t * | xcb_xinerama_is_active_reply (xcb_connection_t *c, xcb_xinerama_is_active_cookie_t cookie, xcb_generic_error_t **e)
xcb_xinerama_query_screens_cookie_t | xcb_xinerama_query_screens (xcb_connection_t *c)
xcb_xinerama_query_screens_cookie_t | xcb_xinerama_query_screens_unchecked (xcb_connection_t *c)
xcb_xinerama_screen_info_t * | xcb_xinerama_query_screens_screen_info (const xcb_xinerama_query_screens_reply_t *R)
int | xcb_xinerama_query_screens_screen_info_length (const xcb_xinerama_query_screens_reply_t *R)
xcb_xinerama_screen_info_iterator_t | xcb_xinerama_query_screens_screen_info_iterator (const xcb_xinerama_query_screens_reply_t *R)
xcb_xinerama_query_screens_reply_t * | xcb_xinerama_query_screens_reply (xcb_connection_t *c, xcb_xinerama_query_screens_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_xinerama_id

## Detailed Description

Xinerama XCB Protocol Implementation.

## Define Documentation

#define XCB_XINERAMA_GET_SCREEN_COUNT 2

Opcode for xcb_xinerama_get_screen_count.

#define XCB_XINERAMA_GET_SCREEN_SIZE 3

Opcode for xcb_xinerama_get_screen_size.

#define XCB_XINERAMA_GET_STATE 1

Opcode for xcb_xinerama_get_state.

#define XCB_XINERAMA_IS_ACTIVE 4

Opcode for xcb_xinerama_is_active.

#define XCB_XINERAMA_QUERY_SCREENS 5

Opcode for xcb_xinerama_query_screens.

#define XCB_XINERAMA_QUERY_VERSION 0

Opcode for xcb_xinerama_query_version.

## Function Documentation

xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_get_screen_count_reply_t* xcb_xinerama_get_screen_count_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_get_screen_count_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_get_screen_count_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | screen |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_get_screen_size_reply_t* xcb_xinerama_get_screen_size_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_get_screen_size_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_get_screen_size_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | screen |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_get_state_reply_t* xcb_xinerama_get_state_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_get_state_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_get_state_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_is_active_reply_t* xcb_xinerama_is_active_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_is_active_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_is_active_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_query_screens_reply_t* xcb_xinerama_query_screens_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_query_screens_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_query_screens_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version | ( | xcb_connection_t * | c,
|  | uint8_t | major,
|  | uint8_t | minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_xinerama_query_version_reply_t* xcb_xinerama_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xinerama_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xinerama_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | major,
|  | uint8_t | minor |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_generic_iterator_t xcb_xinerama_screen_info_end | ( | xcb_xinerama_screen_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_xinerama_screen_info_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_xinerama_screen_info_next | ( | xcb_xinerama_screen_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_xinerama_screen_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xinerama_screen_info_t)